/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.bar-chart {
  position: relative;
  display: inline-block;
  width: 100px;
  height: 10px;
  border-radius: 100px;
  background-color: $COLOR--white;
  vertical-align: text-bottom;
  overflow: hidden;
}
.segment {
  display: inline-block;
  height: 100%;
  vertical-align: top;

  &.passed {
    background-color: $COLOR--passed;
  }
  &.failed {
    background-color: $COLOR--failed;
  }
  &.skipped {
    background-color: $COLOR--skipped;
  }
  &.untested {
    background-color: $COLOR--untested;
  }
  &.running {
    background-color: $COLOR--running;
  }
}
